• Post Reply Bookmark Topic Watch Topic
  • New Topic

HelloManager1.java uses or overrides a deprecated API.

 
saravanan rajendran
Ranch Hand
Posts: 75
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
HI,

when i compiling code i getting this statement:

Note: HelloManager1.java uses or overrides a deprecated API.
Note: Recompile with -Xlint eprecation for details.

when i run that code:

-bash-3.1# java -cp servlet-api.jar:.:asterisk-java-0.3.1.jar HelloManager1
Jun 19, 2008 1:27:09 PM org.asteriskjava.manager.internal.ManagerConnectionImpl connect
INFO: Connecting to 192.168.1.250:5038
Jun 19, 2008 1:27:10 PM org.asteriskjava.manager.internal.ManagerConnectionImpl setProtocolIdentifier
INFO: Connected via Asterisk Call Manager/1.0
Jun 19, 2008 1:27:10 PM org.asteriskjava.manager.internal.ManagerConnectionImpl doLogin
INFO: Successfully logged in
Jun 19, 2008 1:27:10 PM org.asteriskjava.manager.internal.ManagerConnectionImpl doLogin
INFO: Determined Asterisk version: Asterisk 1.4
======
Error
======
in this position i have to get success but showing error
=============================================================
Jun 19, 2008 1:27:10 PM org.asteriskjava.manager.internal.ManagerConnectionImpl disconnect
INFO: Closing socket.
Jun 19, 2008 1:27:10 PM org.asteriskjava.manager.internal.ManagerReaderImpl run
INFO: Terminating reader thread: Socket closed

please help me
 
  • Post Reply Bookmark Topic Watch Topic
  • New Topic
Boost this thread!